# Summary

* [Introduction](README.md)
* Getting Started
    * [Build](tutorial/build.md)
    * [Sophia API](tutorial/api.md)
    * [Common Workflow](tutorial/workflow.md)
    * [Configuration](tutorial/configuration.md)
    * [Examples](tutorial/examples.md)
    * [BSD License](tutorial/license.md)
* Administration
    * [Version](admin/version.md)
    * [Memory Requirements](admin/memory_requirements.md)
    * [Managing Databases](admin/database.md)
    * [MMAP mode](admin/mmap.md)
    * [Compession](admin/compression.md)
    * [Backup and Restore](admin/backup.md)
    * [Compaction](admin/compaction.md)
    * [Monitoring](admin/monitoring.md)
* CRUD
    * [Transactions](crud/transactions.md)
    * [Deadlocks](crud/deadlocks.md)
    * [Upsert](crud/upsert.md)
    * [Cursors](crud/cursors.md)
* Configuration
    * [Sophia](conf/sophia.md)
    * [Backup](conf/backup.md)
    * [Scheduler](conf/scheduler.md)
    * [Transaction Manager](conf/transaction.md)
    * [Metric](conf/metric.md)
    * [Write Ahead Log](conf/log.md)
    * [Database](conf/db.md)
    * [Database compaction](conf/db_compaction.md)
    * [Database performance](conf/db_performance.md)
    * [Database scheduler](conf/db_scheduler.md)
* Architecture
    * [v1.2](arch/v12.md)
    * [v1.1](arch/v11.md)
* API
    * [sp\_env](api/sp_env.md)
    * [sp\_document](api/sp_document.md)
    * [sp\_setstring](api/sp_setstring.md)
    * [sp\_setint](api/sp_setint.md)
    * [sp\_getobject](api/sp_getobject.md)
    * [sp\_getstring](api/sp_getstring.md)
    * [sp\_getint](api/sp_getint.md)
    * [sp\_open](api/sp_open.md)
    * [sp\_destroy](api/sp_destroy.md)
    * [sp\_set](api/sp_set.md)
    * [sp\_upsert](api/sp_upsert.md)
    * [sp\_delete](api/sp_delete.md)
    * [sp\_get](api/sp_get.md)
    * [sp\_cursor](api/sp_cursor.md)
    * [sp\_begin](api/sp_begin.md)
    * [sp\_commit](api/sp_commit.md)
